Skip to main content
GET
/
api
/
v2
/
insights
/
charts
/
machine_runtime_chart
Error
A valid request URL is required to generate request examples
{
  "data": {
    "attributes": {
      "totalIgnitionTime": 123,
      "incursionsPerMachineRuntimeHour": 123,
      "totalIncursionsCount": 123,
      "activeMachinesCount": 123,
      "percentageChangePerMachineRuntimeHour": 123
    },
    "type": "machine_runtime_chart_component"
  }
}

Query Parameters

startDate
string<date-time>
required

Start date for the chart data in ISO 8601 format

endDate
string<date-time>
required

End date for the chart data in ISO 8601 format

projectsIds
integer[]

Array of project IDs to filter by

sitesIds
integer[]

Array of site IDs to filter by

entitiesIds
integer[]

Array of entity IDs to filter by

Response

200 - application/json

Return machine runtime chart data

data
object